// creator  : weidu.exe (version 23600)
// argument : SILKE.DLG
// game     : .
// source   : ./override/SILKE.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~SILKE~

IF ~  Global("SilkeFightOver","GLOBAL",0)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
Global("TalkedToGarrick","GLOBAL",1)
Global("SilkeJob","GLOBAL",0)
!Dead("Garrick")
~ THEN BEGIN 0 // from:
  SAY #569 /* ~Hello there! I see my Garrick has been rather busy. You look as if you're worth paying a little extra. What did my little helper offer you?~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToGarrick","GLOBAL",2)
~ EXTERN ~GARRIC~ 8
END

IF ~  Global("SilkeFightOver","GLOBAL",0)
ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
Global("TalkedToGarrick","GLOBAL",1)
Global("SilkeJob","GLOBAL",0)
!Dead("Garrick")
~ THEN BEGIN 1 // from:
  SAY #570 /* ~So, Garrick, these are the only mercenaries you could find? I guess they'll have to do. You look to be worth about 300 gold, that's what my little Garrick offered you, isn't it?~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToGarrick","GLOBAL",2)
~ EXTERN ~GARRIC~ 9
  IF ~Global("X#SILKE1","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SILKE1","GLOBAL",1)~ EXTERN ~IMOEN2~ 504
  IF ~Global("X#SILKE1","GLOBAL",0)
InParty("safana")
InMyArea("safana")
!StateCheck("safana",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SILKE1","GLOBAL",1)~ EXTERN ~SAFANJ~ 49
END

IF ~  Global("SilkeFightOver","GLOBAL",0)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
Global("TalkedToGarrick","GLOBAL",1)
Global("SilkeJob","GLOBAL",0)
~ THEN BEGIN 2 // from:
  SAY #571 /* ~So, Garrick, these are the only mercenaries you could find? I guess they'll have to do. I'm sorry, but my less-than-brilliant helper, Garrick, seems to have forgotten his standards. He offered you 300 gold did he not? Well I must change that to 200 gold.~ */
  IF ~~ THEN REPLY #583 /* ~We don't like to be cheated, lady. Goodbye.~ */ DO ~SetGlobal("TalkedToGarrick","GLOBAL",2)
~ EXIT
  IF ~~ THEN REPLY #584 /* ~Sure, we're still in.~ */ DO ~SetGlobal("TalkedToGarrick","GLOBAL",2)
SetGlobal("SilkePayment","GLOBAL",200)
~ GOTO 4
  IF ~Global("X#SilkeImoen2","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SilkeImoen2","GLOBAL",1)~ EXTERN ~IMOEN2~ 138
END

IF ~~ THEN BEGIN 3 // from:
  SAY #572 /* ~I'll raise your wage to 400 gold.~ */
  IF ~~ THEN DO ~SetGlobal("SilkePayment","GLOBAL",400)
~ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 29.1 3.0 2.1
  SAY #573 /* ~Well then, I assume that Garrick has explained what your duties are. You must simply dispose of the ruffians when they come to threaten me. They shouldn't be too hard to deal with, but I would advise you to strike fast. Whatever you do, don't speak with them. One of them is a mage whose mystic words can sway even the most wise of men.~ */
  IF ~~ THEN DO ~SetGlobal("SilkeJob","GLOBAL",1)
CreateCreature("MERSIL",[3834.1755],S)
CreateCreature("MERSIL2",[3793.1723],S)
CreateCreature("MERSIL3",[3876.1774],S)
ClearAllActions()
StartCutSceneMode()
StartCutScene("Silkecut")
~ EXIT
  IF ~Global("X#SharSilke","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SharSilke","GLOBAL",1)~ EXTERN ~SHARTJ~ 102
END

IF ~~ THEN BEGIN 5 // from:
  SAY #576 /* ~Don't try to threaten me! I won't be easy prey for you to beat on. I've brought friends!~ */
  IF ~~ THEN EXTERN ~MERSIL~ 1
END

IF ~~ THEN BEGIN 6 // from:
  SAY #577 /* ~Shut up! There'll be no weaseling out of this one. STRIKE NOW! Kill them all!~ */
  IF ~~ THEN REPLY #585 /* ~They're as good as dead!~ */ GOTO 7
  IF ~~ THEN REPLY #586 /* ~Stop this madness. We won't murder those who are obviously innocent men.~ */ GOTO 8
  IF ~Global("X#JaheiraSilke1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraSilke1","GLOBAL",1)~ EXTERN ~JAHEIJ~ 106
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #578 /* ~Attack them now!~ */
  IF ~~ THEN EXTERN ~GARRIC~ 5
END

IF ~~ THEN BEGIN 8 // from: 6.1
  SAY #579 /* ~Our deal is off! In any case, you're probably too cowardly to be any good in a fight. I'll deal with them myself, after I deal with you!~ */
  IF ~~ THEN EXTERN ~GARRIC~ 5
  IF ~Global("X#ShartGarrickQuest2","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ShartGarrickQuest2","GLOBAL",1)~ EXTERN ~SHARTJ~ 145
END

IF ~~ THEN BEGIN 9 // from:
  SAY #580 /* ~Your sniveling altruism has always made me sick, Garrick. Shut up and stay out of my way.~ */
  IF ~~ THEN EXTERN ~GARRIC~ 11
END

IF ~  Global("AttackedMerchant","GLOBAL",1)
Global("TalkedToGarrick","GLOBAL",2)
Global("SilkeFightOver","GLOBAL",1)
Global("SilkePay","GLOBAL",0)
~ THEN BEGIN 10 // from:
  SAY #582 /* ~You've done a good job. For all of your efforts, here is the money that I owe you. Perhaps we will meet again.~ */
  IF ~~ THEN DO ~ReputationInc(-2)
GivePartyGoldGlobal("SilkePayment","GLOBAL")
SetGlobal("SilkePay","GLOBAL",1)
~ EXIT
  IF ~Global("X#JaheiraSilke2","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraSilke2","GLOBAL",1)~ EXTERN ~JAHEIJ~ 105
END

IF ~~ THEN BEGIN 11 // from:
  SAY #784 /* ~Greetings, mercenaries. I am Silke, thespian extraordinaire.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("Chapter","GLOBAL",7)
Global("SilkeFightOver","GLOBAL",1)
Global("AttackedSilke","GLOBAL",1)
~ THEN BEGIN 12 // from:
  SAY #6394 /* ~Well now, I never thought to see any of you again. So you must tell me how you fare these days.~ */
  IF ~~ THEN REPLY #7560 /* ~Don't try to patronize us, you traitorous wench.~ */ GOTO 13
  IF ~~ THEN REPLY #7561 /* ~We're fine, no thanks to you.~ */ GOTO 14
  IF ~~ THEN REPLY #7562 /* ~Why do you even bother asking?~ */ GOTO 15
  IF ~Global("X#GarSil1","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarSil1","GLOBAL",1)~ EXTERN ~GARRIJ~ 105
END

IF ~~ THEN BEGIN 13 // from: 27.0 12.0
  SAY #7551 /* ~Come now, you must forget our previous dealings, and enjoy this wondrous party. I'm sure that lowborn like you are rarely given the chance to enjoy such splendor.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: 27.1 12.1
  SAY #7552 /* ~I'm glad to hear it.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 15 // from: 27.2 12.2
  SAY #7553 /* ~Just to be polite.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #7554 /* ~Could you all be dears, and go away. I don't mean to be rude, but a conversation with the lot of you doesn't excite my interest.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("Chapter","GLOBAL",7)
Global("SilkeFightOver","GLOBAL",1)
Global("AttackedSilke","GLOBAL",0)
~ THEN BEGIN 17 // from:
  SAY #7555 /* ~Hello again. So how goes your mercenary gig.~ */
  IF ~~ THEN REPLY #7563 /* ~Just fine, Silke.~ */ GOTO 18
  IF ~~ THEN REPLY #7564 /* ~Not too good.~ */ GOTO 19
  IF ~~ THEN REPLY #7565 /* ~We're not here as mercenaries, we're here to save the Grand Dukes from assassination.~ */ GOTO 20
  IF ~Global("X#GarSil2","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarSil2","GLOBAL",1)~ EXTERN ~GARRIJ~ 106
END

IF ~~ THEN BEGIN 18 // from: 28.0 17.0
  SAY #7556 /* ~That's good to hear, goodbye now.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from: 28.1 17.1
  SAY #7557 /* ~Oh, I feel for you. Goodbye now.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 20 // from: 28.2 17.2
  SAY #7558 /* ~Really! How very exciting. I just wonder at what you save them from. I would offer my assistance, but I'm terribly busy. I hope your heroics go well. While you're at it, I've heard there's a princess in the north tower who needs rescuing as well.~ */
  IF ~~ THEN REPLY #7567 /* ~A princess?! Tell us more.~ */ GOTO 23
  IF ~~ THEN REPLY #7568 /* ~Shut up, Silke.~ */ EXIT
END

IF ~  Global("Chapter","GLOBAL",7)
Global("SilkeFightOver","GLOBAL",0)
~ THEN BEGIN 21 // from:
  SAY #7559 /* ~I must ask that you don't bother me. It is difficult to concentrate on my music with the likes of you about.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 22 // from:
  SAY #7566 /* ~You must excuse me, but I'm terribly busy right now.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 23 // from: 20.0
  SAY #7569 /* ~I was being sarcastic you moron.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("AttackedMerchant","GLOBAL",0)
Global("TalkedToGarrick","GLOBAL",2)
Global("SilkeFightOver","GLOBAL",1)
~ THEN BEGIN 24 // from:
  SAY #563 /* ~You worthless sack heaps weren't worth any of the money I've already given you, so don't expect me to give you any more.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("TalkedToGarrick","GLOBAL",0)
Global("SilkeFightOver","GLOBAL",0)
~ THEN BEGIN 25 // from:
  SAY #13898 /* ~Excuse me, but I must ask that you leave me be. I am waiting for someone and do not wish to be distracted.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26 // from:
  SAY #45229 /* ~Do not listen to the ramblings of a bitter woman, my good <PRO_LADYLORD>. You have done well.~ */
  IF ~~ THEN DO ~ReputationInc(-2)
GivePartyGoldGlobal("SilkePayment","GLOBAL")
SetGlobal("SilkePay","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 27 // from:
  SAY #46805 /* ~Ah, Garrick. Do be a dear and shut up, won't you?~ */
  IF ~~ THEN REPLY #7560 /* ~Don't try to patronize us, you traitorous wench.~ */ GOTO 13
  IF ~~ THEN REPLY #7561 /* ~We're fine, no thanks to you.~ */ GOTO 14
  IF ~~ THEN REPLY #7562 /* ~Why do you even bother asking?~ */ GOTO 15
END

IF ~~ THEN BEGIN 28 // from:
  SAY #46805 /* ~Ah, Garrick. Do be a dear and shut up, won't you?~ */
  IF ~~ THEN REPLY #7563 /* ~Just fine, Silke.~ */ GOTO 18
  IF ~~ THEN REPLY #7564 /* ~Not too good.~ */ GOTO 19
  IF ~~ THEN REPLY #7565 /* ~We're not here as mercenaries, we're here to save the Grand Dukes from assassination.~ */ GOTO 20
END

IF ~~ THEN BEGIN 29 // from:
  SAY #46935 /* ~Girl, your chattering is giving me a headache.~ */
  IF ~~ THEN REPLY #583 /* ~We don't like to be cheated, lady. Goodbye.~ */ DO ~SetGlobal("TalkedToGarrick","GLOBAL",2)
~ EXIT
  IF ~~ THEN REPLY #584 /* ~Sure, we're still in.~ */ DO ~SetGlobal("TalkedToGarrick","GLOBAL",2)
SetGlobal("SilkePayment","GLOBAL",200)
~ GOTO 4
END
